# IRdVertexMorphStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertices ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
## Properties
RtFloat * | x ([in] RtDWORD dwIndex)`[get]`
RtFloat | x ([in] RtDWORD dwIndex)`[set]`
RtFloat * | y ([in] RtDWORD dwIndex)`[get]`
RtFloat | y ([in] RtDWORD dwIndex)`[set]`
RtFloat * | z ([in] RtDWORD dwIndex)`[get]`
RtFloat | z ([in] RtDWORD dwIndex)`[set]`
RtUlong * | index ([in] RtDWORD dwIndex)`[get]`
RtUlong | index ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdVertexMorphStream defines vertex morph with couples vertex_id, displacement which is used for vertex morphing in case where size of full vertex morph defined by IRdVertexMorphStream is bigger.

## Member Function Documentation

HRESULT IRdVertexMorphStream::GetNumVertices | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of vertices.

Returns:
  dwNumVertices [out,retval] Returns number of vertices found in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdVertexMorphStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

Set number of vertices.

Parameters:

  | dwNumVertices | [in] Number of vertices to size stream to.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdVertexMorphStream::x([in] RtDWORD dwIndex)`[get]`

Get x-coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out, retval] Retrieved value.

  standard HRESULT processing can be applied to returned value

RtFloat IRdVertexMorphStream::x([in] RtDWORD dwIndex)`[set]`

Set x-coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] X-value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexMorphStream::y([in] RtDWORD dwIndex)`[get]`

Get y-coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  newVal [out, retval] Retrieved value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexMorphStream::y([in] RtDWORD dwIndex)`[set]`

Set y-coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Y-value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdVertexMorphStream::z([in] RtDWORD dwIndex)`[get]`

Get z-coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Retrieved value.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdVertexMorphStream::z([in] RtDWORD dwIndex)`[set]`

Set z-coordinate of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] Z-value to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdVertexMorphStream::index([in] RtDWORD dwIndex)`[get]`

Get vertex index of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out,retval] Retrieved value.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdVertexMorphStream::index([in] RtDWORD dwIndex)`[set]`

Set vertex index of i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] New index value to set for the i-th vertex.

Returns:
  standard HRESULT processing can be applied to returned value.